Subject: [bug#43173] Ensure that the correct linux-libre deblobbing scripts are used

From: Leo Famulari <[email-masked]>
Date: Wed, 2 Sep 2020 18:15:52 -0400

On Wed, Sep 02, 2020 at 05:07:56PM -0400, Mark H Weaver wrote:
> In the aforementioned discussion, I agreed to either:
> 
> (1) Wait until the linux-libre project publishes a new release, or
> (2) Check for new blobs myself in the upstream release.
> 
> Since then, I've actually chosen option (2) a couple of times.  I did so
> by reviewing each of the upstream commits looking for new blobs.
> I found that it took on the order of 10-15 minutes per release.
> 
> With this proposed change, we will lose an easy way to exercise option
> (2), and will effectively be constrained to always wait until
> linux-libre produces a new release.

We would still be able to use that method, by effectively reverting this
patch, as desired. The intended effect of this patch is that it will not
be possible to accidentally use the incorrect deblob scripts.

I think we should try to make it harder to make mistakes, but not forget
that we can remove the guardrails when we want to.